Create Affiliate User
curl --request POST \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.doctest.new@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"initial_password": "",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users"
payload = {
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.doctest.new@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"initial_password": "",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Bob',
last_name: 'Smith',
email: 'aff.user.doctest.new@example.com',
language_id: 1,
timezone_id: 90,
currency_id: 'USD',
account_status: 'active',
initial_password: '',
title: 'CEO',
work_phone: '1234567788',
instant_messaging_id: 0
})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Bob',
'last_name' => 'Smith',
'email' => 'aff.user.doctest.new@example.com',
'language_id' => 1,
'timezone_id' => 90,
'currency_id' => 'USD',
'account_status' => 'active',
'initial_password' => '',
'title' => 'CEO',
'work_phone' => '1234567788',
'instant_messaging_id' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users"
payload := strings.NewReader("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}"
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 166,
"network_id": 1,
"network_affiliate_id": 36,
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"title": "",
"work_phone": "",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"time_created": 1774701394,
"time_saved": 1774701394,
"relationship": {
"affiliate_account_status": "active"
}
}Affiliate Users
Create Affiliate User
POST
/
networks
/
affiliates
/
{affiliateId}
/
users
Create Affiliate User
curl --request POST \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.doctest.new@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"initial_password": "",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users"
payload = {
"first_name": "Bob",
"last_name": "Smith",
"email": "aff.user.doctest.new@example.com",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"initial_password": "",
"title": "CEO",
"work_phone": "1234567788",
"instant_messaging_id": 0
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'Bob',
last_name: 'Smith',
email: 'aff.user.doctest.new@example.com',
language_id: 1,
timezone_id: 90,
currency_id: 'USD',
account_status: 'active',
initial_password: '',
title: 'CEO',
work_phone: '1234567788',
instant_messaging_id: 0
})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Bob',
'last_name' => 'Smith',
'email' => 'aff.user.doctest.new@example.com',
'language_id' => 1,
'timezone_id' => 90,
'currency_id' => 'USD',
'account_status' => 'active',
'initial_password' => '',
'title' => 'CEO',
'work_phone' => '1234567788',
'instant_messaging_id' => 0
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users"
payload := strings.NewReader("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"Bob\",\n \"last_name\": \"Smith\",\n \"email\": \"aff.user.doctest.new@example.com\",\n \"language_id\": 1,\n \"timezone_id\": 90,\n \"currency_id\": \"USD\",\n \"account_status\": \"active\",\n \"initial_password\": \"\",\n \"title\": \"CEO\",\n \"work_phone\": \"1234567788\",\n \"instant_messaging_id\": 0\n}"
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 166,
"network_id": 1,
"network_affiliate_id": 36,
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"title": "",
"work_phone": "",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 90,
"currency_id": "USD",
"account_status": "active",
"time_created": 1774701394,
"time_saved": 1774701394,
"relationship": {
"affiliate_account_status": "active"
}
}Create a new user account for a specific affiliate. The user will receive an email asking to set their password unless an initial password is provided.
Authorizations
Query Parameters
Body
application/json
The affiliate user's timezone ID. Can be found using the metadata API.
The affiliate user's currency ID. Can be found using the metadata API.
Response
200 - application/json
Was this page helpful?
